Advance Orders

Place GTT Order

POST
/api/oms/place-order/gtt

Place good till triggered order

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oms/place-order/gtt" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'symId=EQT_RELIANCE_EQ_NSE&type=limit&side=buy&product=delivery&trigPricePer=-4.99&trigPrice=2760.65&qty=1'
{
  "s": "ok",
  "d": {
    "msg": "GTT Order Placed Successfully",
    "orderId": "210115000000004"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}